### DeepaMehta Configuration ###


## Webserver ##

org.osgi.service.http.port = 8080
org.apache.felix.http.enable = true

# Session timeout in minutes. Set 0 for no timeout.
org.apache.felix.http.session.timeout = 0

# HTTPS
org.osgi.service.http.port.secure = 8443

# To enable HTTPS set this to "true"
org.apache.felix.https.enable = false

# The **Keystore Password** (as entered in the `keytool`)
org.apache.felix.https.keystore.password = 

# The **Key Password** (as entered in the `keytool`)
org.apache.felix.https.keystore.key.password = 

# WebSockets

# The port the WebSocket server opens for accepting connections
dmx.websockets.port = 8081

# The URL the WebSocket clients use to connect to the WebSocket server
dmx.websockets.url = ws://localhost:8081


## Request Filter ##

# Filter for anonymous read (that is GET) requests.
# "ALL" allows all anonymous read requests. This is the default.
# "NONE" allows no anonymous read requests.
# To allow specific anonymous read requests set a comma-separated list of URI-prefixes.
# Each prefix must begin with slash but have *no* slash at the end, e.g. "/eu.crowd-literature, /crowd".
# (To each prefix a slash is appended automatically.)
# Spaces, tabs, and line breaks are allowed. IMPORTANT: line breaks must be escaped with backslash (\).
dmx.security.anonymous_read_allowed = ALL

# Filter for anonymous write (that is POST, PUT, DELETE) requests.
# "ALL" allows all anonymous write requests.
# "NONE" allows no anonymous write requests. This is the default.
# To allow specific anonymous write requests set a comma-separated list of URI-prefixes.
# Each prefix must begin with slash but have *no* slash at the end, e.g. "/eu.crowd-literature, /crowd".
# (To each prefix a slash is appended automatically.)
# Spaces, tabs, and line breaks are allowed. IMPORTANT: line breaks must be escaped with backslash (\).
dmx.security.anonymous_write_allowed = NONE

# Requests are allowed from this subnet only.
# An address range denoted by network number and netmask.
# To allow local access only set "127.0.0.1/32". This is the default.
# To allow global access set "0.0.0.0/0".
dmx.security.subnet_filter = 127.0.0.1/32


## User Accounts ##

# The initial password for the "admin" user account.
# Note: this setting is only evaluated while the first DeepaMehta start.
# Once started the admin password can be changed interactively (using the Webclient).
dmx.security.initial_admin_password = 

# If true newly created user accounts are enabled instantly. This is the default.
# If false user accounts must be manually enabled by an administrator (using the Webclient).
dmx.security.new_accounts_are_enabled = true

# LDAP
dmx.ldap.protocol = LDAP
dmx.ldap.server = 127.0.0.1
dmx.ldap.port = 389
dmx.ldap.manager = 
dmx.ldap.password = 
dmx.ldap.user_base = 
dmx.ldap.user_attribute = 
dmx.ldap.user_filter = 
dmx.ldap.user_member_group = 
dmx.ldap.logging = INFO


## Workspace Sharing Modes ##

# When a user creates a workspace only the enabled sharing modes will be available.
# By default all sharing modes are enabled.
# Note: individual (per-user) sharing modes can be configured by an administrator (using the Webclient).
dmx.workspaces.private.enabled = true
dmx.workspaces.confidential.enabled = true
dmx.workspaces.collaborative.enabled = true
dmx.workspaces.public.enabled = true
dmx.workspaces.common.enabled = true


## File Repository ##

# The file repository's base path: an absolute path leading to a directory, *no* slash at the end.
# This directory must exist. To enable the entire file system set "/". This is the default.
dmx.filerepo.path = /

# Set to "true" to put the file repository under access control.
# DM then creates a separate file repository for each workspace beneath the base path.
# This allow for e.g. private and collaborative file repositories.
# If set to "false" (the default) there is one big public file repository shared by all users.
# Use this also for a single-user DeepaMehta installation.
dmx.filerepo.per_workspace = false

# Standard disk quota (for file uploads) allocated to each user (in MB).
# Set -1 for no disk quota (unlimited uploads). This is the default.
# Note: individual (per-user) disk quotas can be configured by an administrator (using the Webclient).
dmx.filerepo.disk_quota = -1


## Hot Deployment ##

# DeepaMehta plugins (jar files) from this directory are hot deployed (like any other OSGi bundle).
# You can add further directories here, separated by comma. Also you can remove the standard directory
# ("bundle-deploy") if you like.
# Spaces, tabs, and line breaks are allowed. IMPORTANT: line breaks must be escaped with backslash (\).
felix.fileinstall.dir = bundle-deploy


## Host ##

# The URL (protocol, host, port) this DeepaMehta installation is accessible from "outside".
# Some DeepaMehta plugins make use of this value when creating public DeepaMehta URLs.
# This setting is of particular interest when DeepaMehta runs behind a reverse proxy.
dmx.host.url = http://localhost:8080/


## Webservice ##

# Only these 2 values are supported:
#     /     For use with Apache Felix HTTP (the default)
#     /*    For use with OPS4J Pax Web
dmx.webservice.path = /


## Database ##

dmx.database.path = dmx-db


## Logging ##

java.util.logging.config.file = conf/logging.properties

# To see any Felix/File Install logging set the level to at least 4
felix.log.level = 0
felix.fileinstall.log.level = 0


## Encoding ##

file.encoding = UTF-8


## OSGi Container ##

org.osgi.framework.bootdelegation = javax.xml.*,org.xml.*,org.w3c.dom
org.osgi.framework.storage = bundle-cache
felix.auto.deploy.action = install,start
